package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/29
 */
@Data
public class OrderInvoiceVo implements Serializable {
    private Long id;

    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 单位名
     */
    private String invoiceTitle;

    /**
     * 发票类型 普通发票---历史遗留字段后期废弃不使用
     */
    private String invoiceType;

    /**
     * 发票类型 0不开发票 1普通发票 2增值税发票
     */
    private String type;

    /**
     * 发票内容 商品明细
     */
    private String invoiceContent;

    /**
     * 发票抬头类型 0个人  1 企业--(普通发票使用)
     */
    private String invoiceTitleType;

    /**
     * 企业税号、纳税人识别号
     */
    private String corporationTaxNum;

    /**
     * 注册地址
     */
    private String registeredAddress;

    /**
     * 注册电话
     */
    private String registeredPhone;

    /**
     * 开户银行账户
     */
    private String bankAccountNo;

    /**
     * 开户银行
     */
    private String openBank;

    private static final long serialVersionUID = 1L;
}
